> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Checks the status of an asynchronous campaign export.

# Get Campaign Export Status

You can use the endpoint initiated with the [Start Campaign Stats Export](/api-reference/endpoints/campaigns/start-campaign-export) endpoint.

## Status values

The `status` field in the response can be:

* **`pending`**: The export is still being processed
* **`done`**: The export is complete and ready to download
* **`error`**: An error occurred during the export

## Expiration times

<Warning>
  * **Status availability**: Export statuses are available for **2 hours only**. An export still pending after 2 hours will be considered failed and return a 404 error.
  * **File availability**: Once you obtain the CSV file URL, you must download it within **24 hours**. After that, the file will be deleted.
</Warning>

## Polling strategy

Check the status periodically until you receive a status other than `"pending"`. We recommend:

* Starting with a 5-second interval
* Increasing to 10-15 seconds for longer exports
* Stopping immediately when status is `"done"` or `"error"`

## Download URL

When the status is `"done"`, the response will include a `url` field containing the download link for the CSV file.


## OpenAPI

````yaml get /campaigns/{campaignId}/export/{exportId}/status
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /campaigns/{campaignId}/export/{exportId}/status:
    parameters:
      - name: campaignId
        in: path
        required: true
        description: The unique identifier of the campaign that was exported
        example: cam_A1B2C3D4E5F6G7H8I9
        schema:
          type: string
      - name: exportId
        in: path
        required: true
        description: The unique identifier of the export returned by the /start endpoint
        example: axp_Vv6lJOc8NlVVmDud5
        schema:
          type: string
    get:
      tags:
        - Campaigns
      summary: Get Campaign Export Status
      description: Check the status of an asynchronous campaign export.
      parameters: []
      responses:
        '200':
          description: Export status retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                  status:
                    type: object
                    properties:
                      _id:
                        type: string
                        description: MongoDB identifier of the export
                      id:
                        type: string
                        description: The unique identifier of the export
                      teamId:
                        type: string
                        description: The team identifier
                      campaignId:
                        type: string
                        description: The campaign identifier
                      campaignName:
                        type: string
                        description: The name of the campaign
                      status:
                        type: string
                        enum:
                          - pending
                          - done
                          - error
                        description: Current status of the export
                      startedAt:
                        type: string
                        format: date-time
                        description: When the export was started
                      endedAt:
                        type: string
                        format: date-time
                        description: When the export finished (only present when done)
                      progressIndex:
                        type: integer
                        description: Current progress index
                      progressTime:
                        type: integer
                        description: Timestamp of progress
                      progressLastStepDuration:
                        type: integer
                        description: Duration of last step in milliseconds
                      progressType:
                        type: string
                        description: Type of current progress step
                      progress:
                        type: integer
                        description: Number of items processed
                      total:
                        type: integer
                        description: Total number of items to process
                      fileSize:
                        type: integer
                        description: >-
                          Size of the exported CSV file in bytes (only present
                          when done)
                      url:
                        type: string
                        description: >-
                          Download URL for the CSV file (only present when
                          status is done)
              examples:
                done:
                  summary: Export completed
                  value:
                    ok: true
                    status:
                      _id: axp_eVuZ9rVr4yYWrnPWA
                      id: axp_eVuZ9rVr4yYWrnPWA
                      teamId: tea_8QvkOiBfPdb2ZRhHi
                      campaignId: cam_lBCWmqEWI399hJZOd
                      campaignName: lemstage
                      status: done
                      startedAt: '2025-10-27T07:53:16.267Z'
                      progressIndex: 6
                      progressTime: 1761551597286
                      progressLastStepDuration: 0
                      progressType: done
                      progress: 0
                      total: 0
                      fileSize: 23654
                      endedAt: '2025-10-27T07:53:17.286Z'
                      url: >-
                        https://api.lemlist.com/api/files/exports/fil_axp_7guBefhehehe.csv
                pending:
                  summary: Export in progress
                  value:
                    ok: true
                    status:
                      id: axp_Vv6lJOc8NlVVmDud5
                      teamId: tea_c123fg5h8ijKL9noP
                      campaignId: cam_A1B2C3D4E5F6G7H8I9
                      campaignName: Insights Outreach 2024
                      status: pending
                      startedAt: '2020-01-01T00:00:00.000Z'
                      progressIndex: 3
                      progressTime: 1639138959979
                      progressLastStepDuration: 200
                      progressType: processing
                      progress: 50
                      total: 100
        '400':
          description: Bad team
          content:
            text/plain:
              example: Bad team
        '401':
          description: Unauthorized
        '404':
          description: Campaign or export not found
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      ok:
                        type: boolean
                      message:
                        type: string
                  - type: string
              examples:
                exportNotFound:
                  summary: Export not found
                  value:
                    ok: false
                    message: Export with id axp_DIoSPp9YM5EwWdyP0 not found
                campaignNotFound:
                  summary: Campaign not found
                  value: Campaign not found
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````